Package org.jbpm.ruleflow.core.factory

## Class SplitFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.SplitNodeBuilder<T>,​T>
  - - org.jbpm.ruleflow.core.factory.SplitFactory<T>

- All Implemented Interfaces:
    `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.SplitNodeBuilder<T>,​T>`, `org.kie.api.fluent.SplitNodeBuilder<T>`

      public class SplitFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>
      extends NodeFactory<org.kie.api.fluent.SplitNodeBuilder<T>,​T>
      implements org.kie.api.fluent.SplitNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SplitFactory​(T nodeContainerFactory, NodeContainer nodeContainer, long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SplitFactory<T>` | `constraint​(long toNodeId, String name, String type, String dialect, String constraint)` |
    `SplitFactory<T>` | `constraint​(long toNodeId, String name, String type, String dialect, String constraint, int priority)` |
    `org.kie.api.fluent.SplitNodeBuilder<T>` | `constraint​(long toNodeId, String name, String type, org.kie.api.fluent.Dialect dialect, String constraint, int priority)` |
    `protected Split` | `getSplit()` |
    `SplitFactory<T>` | `type​(int type)` |

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### SplitFactory

          public SplitFactory​(T nodeContainerFactory,
                              NodeContainer nodeContainer,
                              long id)

  - ### Method Detail

    - #### getSplit

          protected Split getSplit()

    - #### type

          public SplitFactory<T> type​(int type)

      Specified by:
        `type` in interface `org.kie.api.fluent.SplitNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### constraint

          public SplitFactory<T> constraint​(long toNodeId,
                                            String name,
                                            String type,
                                            String dialect,
                                            String constraint)

    - #### constraint

          public SplitFactory<T> constraint​(long toNodeId,
                                            String name,
                                            String type,
                                            String dialect,
                                            String constraint,
                                            int priority)

    - #### constraint

          public org.kie.api.fluent.SplitNodeBuilder<T> constraint​(long toNodeId,
                                                                   String name,
                                                                   String type,
                                                                   org.kie.api.fluent.Dialect dialect,
                                                                   String constraint,
                                                                   int priority)

      Specified by:
        `constraint` in interface `org.kie.api.fluent.SplitNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`